PageableLuceneQueryResults (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.lucene, interface: PageableLuceneQueryResults

Package org.apache.geode.cache.lucene

# Interface PageableLuceneQueryResults<K,V>

Type Parameters:
  `K` - The type of the key
  `V` - The type of the value

All Superinterfaces:
  `Iterator<List<LuceneResultStruct<K,V>>>`

public interface PageableLuceneQueryResults<K,V> extends Iterator<List<LuceneResultStruct<K,V>>>

This interface allows you to retrieve a page of query results at a time, using the `hasNext()` and `next()` methods.

`PageableLuceneQueryResults` can be serialized and sent to other members.

See Also:
  - `LuceneQuery.findPages()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getMaxScore()`
  Returns the maximum score value across all pages.
  `boolean`
  `hasNext()`
  True if there is another page of results in PageableLuceneQueryResults.
  `List<LuceneResultStruct<K,V>>`
  `next()`
  Get the next page of results.
  `int`
  `size()`
  Total number of hits matching the Lucene query across all pages.

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

- ## Method Details

  - ### size

    int size()
    Total number of hits matching the Lucene query across all pages.
    Returns:
      int value representing total number of hits for this query across all pages.

  - ### getMaxScore

    float getMaxScore()
    Returns the maximum score value across all pages.
    Returns:
      float value representing the maximum score across all the Lucene result pages.

  - ### next

    List<LuceneResultStruct<K,V>> next()
    Get the next page of results.
    Specified by:
      `next` in interface `Iterator<K>`
    Returns:
      a page of results, or null if there are no more pages

  - ### hasNext

    boolean hasNext()
    True if there is another page of results in PageableLuceneQueryResults.
    Specified by:
      `hasNext` in interface `Iterator<K>`
    Returns:
      boolean value, true if another Lucene result page is present, false otherwise.